<?php
/**
 * 2007-2020 PrestaShop.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2020 PrestaShop SA
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 */

/* SSL Management */
$useSSL = true;

include dirname(__FILE__).'/../../config/config.inc.php';
include dirname(__FILE__).'/../../header.php';
include_once dirname(__FILE__).'/mailalerts.php';

// Instance of module class for translations
$module = new MailAlerts();

$errors = array();

if ($cookie->isLogged()) {
    if (Tools::getValue('action') == 'delete') {
        $id_customer = (int) $cookie->id_customer;
        if (!$id_product = (int) Tools::getValue('id_product')) {
            $errors[] = $module->trans('You must have a product to delete an alert.', array(), 'Modules.Mailalerts.Admin');
        }
        $id_product_attribute = (int) Tools::getValue('id_product_attribute');
        $customer = new Customer((int) $id_customer);
        MailAlerts::deleteAlert((int) $id_customer, (string) $customer->email, (int) $id_product, (int) $id_product_attribute);
    }
    $this->context->smarty->assign('mailAlerts', MailAlert::getProductsAlerts((int) $cookie->id_customer, (int) $cookie->id_lang));
} else {
    $errors[] = $module->trans('You must be logged in to manage your alerts.', array(), 'Modules.Mailalerts.Admin');
}

$this->context->smarty->assign(array(
    'id_customer' => (int) $cookie->id_customer,
    'errors' => $errors,
));

if (Tools::file_exists_cache(_PS_THEME_DIR_.'modules/mailalerts/myalerts.tpl')) {
    $smarty->display(_PS_THEME_DIR_.'modules/mailalerts/myalerts.tpl');
} elseif (Tools::file_exists_cache(dirname(__FILE__).'/myalerts.tpl')) {
    $smarty->display(dirname(__FILE__).'/myalerts.tpl');
} else {
    echo $module->trans('No template found', array(), 'Modules.Mailalerts.Admin');
}

include dirname(__FILE__).'/../../footer.php';
